Skip to main content
POST
/
api
/
snoozes
/
{id}
/
add-test-cases
Add tests to a snooze
curl --request POST \
  --url https://api.empirical.run/api/snoozes/{id}/add-test-cases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "test_ids": [
    "<string>"
  ]
}
'
{
  "data": {
    "snooze": {
      "id": 123,
      "test_ids": [
        "<string>"
      ],
      "snooze_until": "<string>",
      "description": "<string>",
      "created_from_test_run_id": 123,
      "created_by": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "scoped_to_environment_id": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Snooze ID.

Required range: x >= 1

Body

application/json
test_ids
string[]
required

Playwright test IDs to add to the snooze.

Minimum array length: 1

Response

The updated snooze.

data
object
required

Response payload.